**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# HowTO NodeJS

Nodejs est disponible en version 0.10.X sur wheezy-backports et jessie.

Pour installer une version plus récente (ex: 4.X ou 5.X), on peut utiliser les dépôts de nodesource détectable via leur script d'installation sur <https://nodejs.org/en/download/package-manager/#debian-and-ubuntu-based-linux-distributions>

~~~
# apt install apt-transport-<https>
# echo "deb <https://deb.nodesource.com/node_6.x> jessie main" >> /etc/apt/sources.list.d/nodesource.list
# curl -s <https://deb.nodesource.com/gpgkey/nodesource.gpg.key> | apt-key add -
# apt update
# apt-show-versions nodejs -a
# apt install nodejs=xxxx
~~~

On peut ensuite installer des packages npm en tant qu'utilisation :

~~~
$ npm version
{ npm: '3.9.5',
  ares: '1.10.1-DEV',
  <http_parser:> '2.7.0',
  icu: '56.1',
  modules: '48',
  node: '6.2.2',
  openssl: '1.0.2h',
  uv: '1.9.1',
  v8: '5.0.71.52',
  zlib: '1.2.8' }
$ npm list
~
??? (empty)

$ npm install ping
ping@0.1.10 node_modules/ping
??? q@1.4.1

$ npm list
~
??? ping@0.1.10
  ??? q@1.4.1
~~~

Pour l'installation de module npm globaux, disponible via /usr/bin/$nom_modules (ex: on met à jour npm via lui même) :

~~~
npm install -g <npm>
chown -R root: /usr/lib/node_modules/<npm>
chmod -R 755 /usr/lib/node_modules/<npm>
~~~