---
categories: openbsd network
title: HowToOpenBSD/Unbound
---

Voici ce que doit contenir le fichier `/var/unbound/etc/unbound.conf`

~~~
server:
  # interface sur laquelle le daemon écoute
  interface: XX.XX.XX.XX
  interface: 127.0.0.1
  interface: ::1

  access-control: 0.0.0.0/0 refuse
  access-control: 127.0.0.0/8 allow
  # important, on précise qui pourra interroger le service
  access-control: XX.XX.XX.0/24 allow    
  access-control: ::0/0 refuse
  access-control: ::1 allow

  hide-identity: yes
  hide-version: yes

  auto-trust-anchor-file: "/var/unbound/db/root.key"
~~~

On active unbound dans `rc.conf.local` et on démarre le daemon !

~~~
# rcctl enable unbound
# rcctl start unbound
~~~
