# Tips Vim

* <http://www.vim.org/docs.php>
* <https://bitbucket.org/tednaleid/vim-shortcut-wallpaper/src>
* <http://vimsheet.com>
* <http://people.csail.mit.edu/vgod/vim/vim-cheat-sheet-en.pdf>

## Commandes de base

* `i` : passer en mode "Insert"
* `Échap` : passer en mode "Edit" – sauf si vous avez le nouveau MacBook Pro sans cette touche ;)
* `:q!` : quitter sans sauvegarder
* `:wq` : sauvegarder et quitter
* `dd` : supprimer (et copier) une ligne
* `p` : coller
* `x` : effacer un caractère

## Commandes avancées

### Mode "Insert"

* `CTRL-V u XXXX` où `XXXX` est le code du caractère UTF8

### Mode "Edit"

* `r` : remplacer un caractère
* `c[0|^|w|$|G]` : changer (supprime et passe en mode insertion)
* `d` : supprimer
* `~` : inverser la casse d'un caractère
* `:set paste` / `:set nopaste` : passer en mode copier/coller (et revenir)

paramètres possibles pour changer/supprimer :

* `0` : début de ligne
* `^` : début de ligne (sauf caractères invisibles)
* `w` : fin du mot
* `$` : fin de ligne
* `G` : fin du fichier
